#!/bin/sh
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

# Keep same perms on rc.radvd.new:
if [ -e etc/rc.d/rc.radvd ]; then
  cp -a etc/rc.d/rc.radvd etc/rc.d/rc.radvd.new.incoming
  cat etc/rc.d/rc.radvd.new > etc/rc.d/rc.radvd.new.incoming
  mv etc/rc.d/rc.radvd.new.incoming etc/rc.d/rc.radvd.new
fi

config etc/radvd/radvd.conf.new
config etc/rc.d/rc.radvd.new
echo -e "\nIf this is a new installation of radvd, you'll need to edit /etc/radvd/radvd.conf.

Also, you'll need to enable IPv6 forwarding before radvd will run.
You can do this manually by executing:

\"echo 1 > /proc/sys/net/ipv6/conf/all/forwarding\", 

or executing 

\"sysctl -w net.ipv6.conf.all.forwarding=1\".

To make the change permanent, edit /etc/sysctl.conf and add the following line:

net.ipv6.conf.all.forwarding=1

You'll have to manually add the init script to either /etc/rc.d/rc.M or /etc/rc.d/rc.local,
and chmod 700 /etc/rc.d/rc.radvd. You can add the following to either file:

if [ -x /etc/rc.d/rc.radvd ]; then
	/etc/rc.d/rc.radvd start
fi
"

